TAAS - Feature #113

Journal
12/07/2022 12:13 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 12/07/2022
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Journal

Description

Coding Journal

History

#1 - 12/19/2022 07:46 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- Assignee changed from Junaid M to Shanto Shaji
- % Done changed from 0 to 10

On Hold: Service Tax Feature.

#2 - 01/02/2023 10:16 AM - Shanto Shaji
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 02/07/2023 09:59 AM - Shanto Shaji
- Status changed from Coding Started to Particialy Coding Done

To Do **
1.Against Doc
2.Import
3.Posting

#4 - 02/20/2023 06:08 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND

1. AFTER UPDATION MAIN LEDGER MISSING
2.CALCULATION ERROR ON GRID

( debit & credit displaying both columns)

3.SET VALIDATION & RANGE ON DATE
#5 - 04/01/2023 12:13 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#6 - 04/29/2023 04:10 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add precission on grid summary

2.Grid summary must be shown with grid
(Prevent grid summary without grid)

3.Set proper alignment between code & name
(Branch, Department - Selection box)

#7 - 05/05/2023 12:47 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 05/16/2023 06:27 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Main ledger missing after save
(Debit side - edit mode)

Remove Save Button From Posting Pop Up

#9 - 05/18/2023 04:11 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 05/25/2023 06:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on Branch & Department

> Inline check box validations missing after update

> Checked Branch & Department changing while update

#11 - 05/26/2023 12:13 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 05/26/2023 06:01 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on Dr/Cr amounts auto completion
2.Set proper validations on inline check box
(Narration & Note )

3.Currency not clearing on refresh

#13 - 05/29/2023 10:41 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#14 - 05/29/2023 06:38 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on edit mode

(amounts change to zero)

2.Use proper alerts/validations for prevent update on settled documents

#15 - 06/22/2023 05:36 PM - Shanto Shaji
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Settled Document Cant Update

#16 - 07/26/2023 06:00 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CODE MANIPULATION

#17 - 07/27/2023 11:29 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 08/21/2023 04:33 PM - unnikannan S
ISSUE FOUNDED

1.ADD EXCELSHEET ICON IN GRID

#19 - 08/22/2023 04:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD EXCEL TAB IN GRID
2.ADD TOOL TIP FOR AGAINST DOC,AMOUNT,AND LEDGER SUMMARY POP UP

#20 - 08/23/2023 11:16 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 09/07/2023 12:40 PM - unnikannan S
TESTING DONE

#22 - 09/08/2023 04:11 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE IN ADDED ENQUIRY NO TO FILE NO AUTOMATICALLY
2.SHOWING AUTOMATICALLY XO NO IN TWO SIDES

3.ADD CODE FOR ACCOUNTS SUBLEDGER,ACCOUNTS,SUB CUSTOMER
4.ERROR WHILE ADDING (SUB LEDGER AND ACCOUNTS) IN DEBIT AND CREDIT WHILE SAVE
#23 - 09/11/2023 02:43 PM - unnikannan S

unnikannan S wrote in #note-22:
ISSUE FOUNDED

1.CHANGE IN ADDED ENQUIRY NO TO FILE NO AUTOMATICALLY

2.SHOWING AUTOMATICALLY XO NO IN TWO SIDES

3.ADD CODE FOR ACCOUNTS SUBLEDGER,ACCOUNTS,SUB CUSTOMER

4.ERROR WHILE ADDING (SUB LEDGER AND ACCOUNTS) IN DEBIT AND CREDIT WHILE SAVE
5.FOCUS OUT ISSUE WHILE ADDING CUSTOMER

#24 - 09/12/2023 11:47 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#25 - 09/21/2023 12:13 PM - unnikannan S
- File Screenshot (1).png added

ISSUE FOUNDED

1.CHANGE IN ADDED ENQUIRY TO FILE NO AUTOMATICALLY
2.ERROR AFTER SAVE AND UPDATE WHILE CHANGING ACCOUNTS IN SUB CUSTOMER,ACCOUNTS

#26 - 09/21/2023 12:14 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#27 - 09/21/2023 04:22 PM - unnikannan S
- File deleted (Screenshot (1).png)

#28 - 09/21/2023 05:39 PM - unnikannan S
unnikannan S wrote in #note-25:
ISSUE FOUNDED
1.CHANGE IN ADDED ENQUIRY TO FILE NO AUTOMATICALLY

2.ERROR AFTER SAVE AND UPDATE WHILE CHANGING ACCOUNTS IN SUB CUSTOMER,ACCOUNTS
3.ADD DOCUMENT STATUS COLUMN

#29 - 09/23/2023 11:57 AM - unnikannan S
unnikannan S wrote in #note-28:
unnikannan S wrote in #note-25:
ISSUE FOUNDED
1.CHANGE IN ADDED ENQUIRY TO FILE NO AUTOMATICALLY
2.ERROR AFTER SAVE AND UPDATE WHILE CHANGING ACCOUNTS IN SUB CUSTOMER,ACCOUNTS

3.ADD DOCUMENT STATUS COLUMN
4.CONNECT MODULE WITH PRINT

#30 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#31 - 10/13/2023 05:23 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED***

1.SUB CUSTOMER AND COST CENTER NOT WORKING IN SET

#32 - 10/13/2023 05:32 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#33 - 10/14/2023 12:19 PM - unnikannan S
TESTING DONE

#34 - 10/27/2023 12:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD IN GRID CODE LOCATION = CENTRE

#35 - 11/09/2023 03:45 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#36 - 11/10/2023 10:38 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

FIXED - 1.ADD INFO MESSAGE (BLUE)
FIXED - 2.CLEAR MAIN LEDDGER AFTER CLEARING ACCOUNT

COMMON ISSUE Found

1. Currency Changing into BASE Currency while Focus Out on Account Name.

#37 - 11/23/2023 11:01 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#38 - 11/23/2023 12:16 PM - unnikannan S
TESTING DONE

#39 - 01/11/2024 04:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGES

FIXED - 1.INCREASE THE WIDTH OF ACCOUNT FIELD IN DEBIT/CREDIT
FIXED - 2.ADJUST FIELD BOX ALLIGMENTS AMOUNT,REFERENCE,COST CENTRE

#40 - 01/11/2024 07:16 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#41 - 01/12/2024 09:45 AM - unnikannan S
TESTING DONE
#42 - 03/20/2024 10:39 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.CORRECT SYMBOL OF UPDATE BUTTON IN ITEMS
#43 - 03/20/2024 03:41 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 04/13/2024 09:49 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Add Attachment Pop Up
#45 - 04/23/2024 09:29 AM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 04/23/2024 12:56 PM - unnikannan S
TESTING DONE

#47 - 05/08/2024 12:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

NOT ABLE TO RE-PRODUCE - 1.Error On Save In Case Adding Multiple Party With Different Currency And One FOP

#48 - 05/14/2024 07:21 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#49 - 06/10/2024 02:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Fix Selection Bugs On Accounts Mainledger Select Box
#50 - 06/10/2024 04:25 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 06/10/2024 06:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#52 - 06/13/2024 04:20 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 06/13/2024 04:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#54 - 06/13/2024 05:13 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#55 - 06/13/2024 06:14 PM - unnikannan S
TESTING DONE

#56 - 07/01/2024 12:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On ROE Focus Out

#57 - 07/05/2024 03:17 PM - Junaid M

- Assignee changed from Baseem Shan to Athul P

Connect print

#58 - 07/10/2024 05:48 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 07/13/2024 11:33 AM - Junaid M

- Assignee changed from Athul P to Baseem Shan

#60 - 07/30/2024 06:42 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Not ABug - 1.Show Total Amount In Doc Search Modules In Case Of Multiple Entry In A Document (-> The Amount shown in Document Search is
of the default selected record in Journal.)

#61 - 08/01/2024 10:06 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#62 - 08/09/2024 04:49 PM - Junaid M
- File clipboard-202408091648-esjec.png added
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

Add Validation

ADDED - 1. Validate JV Entry Contains any Inter Branch transaction, then need Branch C/A Posting.
Validation Message "Branch Control Account Transaction is required for Inter Branch Transactions."
Do Validation in Cs file - Ask Junaid for coding Logic

For Reference:
RECEIPT POSTING
| Credit G bi C Name

alicut Branch
lain

Branch

ited with code 8 (0x8).

#63 - 08/12/2024 11:42 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#64 - 09/06/2024 09:35 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.Auto Changing Posting Status While Selecting Doc Copy

#65 - 09/18/2024 09:53 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#66 - 09/18/2024 01:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#67 - 10/24/2024 01:43 PM - unnikannan S
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

Ul CHANGES

1.Connectivity Of Import Pop Up In Module

#68 - 10/29/2024 09:44 AM - Anil KV

- Assignee changed from Baseem Shan to Augustin Jose

#69 - 11/07/2024 11:16 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#70 - 11/14/2024 03:58 PM - unnikannan S
- File clipboard-202411141558-blsw6.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#71 - 11/15/2024 06:10 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#72 - 11/22/2024 06:12 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES
1. Replace set button with import button.

2. Add a save settings button on the left of close button.

3. Save settings should save the format of previous import.

4. Remove the grid and make the Ul similar to account import.

#73 - 12/20/2024 09:49 AM - Augustin Jose

- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#74 - 12/27/2024 03:36 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ON IMPORT ROE VALUE IS NOT UPDATING CORRECTLY

#75 - 12/31/2024 06:07 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#76 - 02/22/2025 02:19 PM - Arathy PS

- File clipboard-202502221145-zdfs8.png added

- File clipboard-202502221409-19aem.png added

- File clipboard-202502221419-gkamb.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. When all items are selected to import

Cannot read properties of undefined (reading ‘trim’)

File | ChooseFile | journallmportxisx

Currency | |NR ~

Dr/Cr In Same Column

Avoid First Mumber of Rows | 1

Avoid Last Number of Rows |

# v Column

1 b Account Code (Mandatory)
2 ~ Main Ledger

3 v Debit (Mandatory)

4 v Credit (Mandatory)

5 v Reference

6 v Note

T v Marration

2. Currency and Roe options are showing only when another currency is selected.
3. Not showing currency and ROE option even though the currency is different from QAR (when the default is currency showing is INR for the first

time)

4.
Index
Cannot read properties of undefined (reading ‘sinPrecision’) X

File joumnallmport.xlsx Properties T a. E
Cumency | |NR v # v Column Index
ROE | 3,00000000 1 v Account Code (Mandatory) 1 Va
2 v Main Ledger & ra
Dr/Cr In Same Column 3 v Debit (Mandatory) 3 s
Avoid First Number of Rows | 1 4 b Credit (Mandatory) 4 ra
Avoid Last Number of Rows | @ 5 e Reference 5 Pa
6 v Note 6 Vs
T R MNarration T ra
8 v Currency 8 ra
9 v ROE 9 Vs
10 v Debit In QAR 10 r
1 v Credit In QAR 1 s

= Close & Import

5. When try to import with currency and RoE from excel file. (amount in QAR is not showing)
ravvise Journal

new row for relation "tbl_transaction” violates check constraint "thl_transaction_check1”

Doc No Date” | 22/02/2025 =] Branch® | BROO01: Main e
Narration ) Department” | ppOO1: Account A
Nete File No™ + Enquiry No™ =
y
Reference
Document Status” | Active v By
Total Debit: 0.00 QAR
Posting Status” | Active v By s 00003
fotal Credit: 04
Created By: Balance: 0.00 Dr OAR
Modified By:
oIS ©AddDr | BAMdC 4 Set & Import T a 2 O
# Account Main Ledger Currency Debit Credit Amount In QAR | Branch
1 v SUPOD1:BSP SUPPLIER Sundry Creditors INR 10000 000 0.00Cr | BRODT: Main V- Add Dr
2 SUPOD1:BSP SUPPLIER Sundry Creditors AED 000 50,00 0.00Cr | BRODT: Main |
3 SUPCO2:ASP Sundry Creditors AED 10000 000 0.00Cr | BROOT: Main V-
4 SUPQO2:ASP Sundry Creditors INR 000 5000 0.00Cr | BROOT: Main &
& Import
Total INR 100.00 INR 50.00

AED 100.00 AED 50.00

#77 - 02/25/2025 01:58 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#78 - 03/13/2025 10:14 AM - Arathy PS
Set Document Id in Posting

Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#79 - 03/19/2025 04:41 PM - Arathy PS
- File clipboard-202503191639-stskg.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Can't settle using against doc field.
2. No field for showing amount in base currency while trying to enter data using journal import.

Travvise Journal 219 = Mew- _q L AL:]
Doc No Date” | 19/03/2025 [} Branch™  BROO1: Main v m
Narration Department” ~ © New
e
Note File No™ = Enquiry No™ ~
4
Reference
Document Status® | Active v By
Posting Status”™  Active Add Debit
Created By:
Tetal Debit: 700.00 QAR Total Credit: 1200.00 QAR Balance: 500.00 Cr QAR
Modified By:
Branch BROOT:: Main < peet O Gredt Q E I
Amount In INR" || 100,00 =
Department* v
# Account ROE | 200000000
Against Doc & | 000QAR
1 SUPQO1:BSP SUPPLIER. Amount In INR" || 50.00 s @
Supplier”~ | suP0OT BSP SUPPLIER & | INR ~
2 SUP001:BSP SUPPLIER Reference NOTH & m
3 SUP002:ASP SUPPLIER Cost Center v S w
4 SUP0D2:ASP SUPPLIER Defalut Record PR
#~
Total
Note
»

coy 0 @ Close Update

3. Not being able to import ledgers from chart of account.

#80 - 03/21/2025 09:43 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#81 - 03/28/2025 03:31 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Can't load excel file in import if there is space between entries.
2. Incorrect amount for different currencies when using import.
3. Amount not being calculated based on Roe in import master page if not selected in excel.

#82 - 04/02/2025 03:32 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#83 - 04/09/2025 02:57 PM - Arathy PS

- File clipboard-202504091220-zwwyk.png added

- File clipboard-202504091221-hc8tg.png added

- File clipboard-202504091242-dv5hq.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Able to save journal with different amounts inside the pop up and in the grid.
Tl’ avvise

Travvise

JOURNAL has been Saved.

ravvise

DocNo

Narration

Note
Document Status*

Posting Status’

Created By:
Modiified By:

Journal Items

# Account

Journal

DocMNo | Jv/001 Date” | 09/04/2025
Narration
Note
Document Status™ | Active
Posting Status™ | Active
Created By:  Administrator(09/04/2025 11:28 AM)
Modified By:
Journal Items Add
# Account Main Ledger
1 v SUPOD1:=BSP Sundry Creditors
2 LL008:Profit & Loss Profit & Loss
Total

Journal

Date” | 09/04/2025

e =

Account Code 'SUPDOT" not found. Please check the Excel file and import again.

Active
Active
File joumalimportdsx
Currency | INR
ROE | 4.00000000

Dr/Cr In Same Column

Avoid First Number of Rows | 5

Avoid Last Number of Rows | g

3.Cant set note using set button

#84 - 04/29/2025 04:34 PM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Amount In QAR

100.00 Dy

100.00 C

=) Branch” | BROOT: Main
Department” | DPOO1:: Account
P
File No*~
P
Reference
Bys
Total Debit:  100.00 QAR
By
Total Credit:  100.00 QAR
Balance: 0.00 Dr QAR
Dr 0 Add Cr o Set & Import
Currency Debit Credi
INR 700.00 0.0(
QAR 0.00 100.0(
INR 700.00 INR 0.
QAR 0.00 QAR 100.00

=]

Properties
# v
1 v
2 v
3 v
4 v
5 v
6 ~
7 v
8 v
9 v
10 v
1 v

Branch”

Column

Account Code (Mandatory)
Main Ledger

Debit (Mandatory)
Credit (Mandatory)
Reference

Note

Narration
Currency

ROE

Debit In QAR

Credit In QAR

JOURNAL has been Saved. x
DocNo | w001 Date™ | D0/04/2025 () Branch® ' BROO1: Main h
Narration Departmant”  DPOO1: Account A
p
Note File No* - Enquiry No™ -
Add Debi
Document Status® | Active
Posting Status™ | Active Total Debit: 100.00 QAR Total Credit: 100.00 QAR Balance: 0.00 Dr QAR -
Created By:  Administrator(09/04 m
Modified By: Branch* BROOT:: Main ~ Debit © Credit
Amount In INR* | 700.00 8 print
Department” DPOD1: Account i
ROE_| 400000000 y o
Journal Items Against Doc & [oo0om Y Q 2 0
imount In QAR* 175.00
# Account Supplier > sUPOD1 BSP & | INR e
Reference
1 v | SUPODI:BSP MsinLedge™  Sundry Creditors v & w =
Cost Center v
2 LLO08:Profit & Loss. Sub Customer = &S w
Defalut Record @
Narrati
Note
z
Copy 0 [ Close Update

v
v
Enquiry No®~
Y a
Branch
BROO1=: Main
BROO1= Main

2. Showing supplier code is not found when supplier with that code is present in the excel file. (this validation is not showing all the time)

x
T Q &
Index
1 s .
T Q 2

2 s
3 s
4 s
6 s
7 7
5 s
0 s
7 s
8 s

EClose | & Import

1-CsModel.cs
2-tsModel.ts
3-CsFile.cs
4.71 KB
2.98 KB
14.7 KB

12/19/2022
12/19/2022
12/19/2022

Junaid M
Junaid M
Junaid M
4-CsControllerFile.cs

5-TsFile.ts

6-HtmiFile.html

sql.sql
clipboard-202408091648-esjec.png
clipboard-202411141558-blsw6.png
clipboard-202502221145-zdfs8.png
clipboard-202502221409-19aem.png
clipboard-202502221419-gkamb.png
clipboard-202503191639-stskg.png
clipboard-202504091220-zwwyk.png
clipboard-202504091221-hc8tg.png
clipboard-202504091242-dv5hq.png
23.7 KB
15.4 KB
1.88 KB
10.1 KB
46.3 KB
109 KB
44.9 KB
54.5 KB
129 KB
146 KB
153 KB
